<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * homepage layout
 */

$wp_customize->add_section(
	'moral_magazine_pro_homepage_layout',
	array(
		'title' => esc_html__( 'Homepage Layout', 'moral-magazine-pro' ),
		'panel' => 'moral_magazine_pro_home_panel',
	)
);

// homepage_layout enable settings
$wp_customize->add_setting(
	'moral_magazine_pro_homepage_layout',
	array(
		'sanitize_callback' => 'moral_magazine_pro_sanitize_select',
		'default' => 'first-design'
	)
);

$wp_customize->add_control(
	'moral_magazine_pro_homepage_layout',
	array(
		'section'		=> 'moral_magazine_pro_homepage_layout',
		'label'			=> esc_html__( 'Select Layout', 'moral-magazine-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'first-design' 	=> esc_html__( 'Pro', 'moral-magazine-pro' ),
				'second-design' => esc_html__( 'Restuarent', 'moral-magazine-pro' ),
				'third-design' => esc_html__( 'Portfolio', 'moral-magazine-pro' ),
				'fourth-design' => esc_html__( 'Magazine', 'moral-magazine-pro' ),
		 	)
	)
);