<?php 

function moral_magazine_pro_cta_style(){

    $cta = '#magazine_pro_cta_section .cta-post {
        background-color: #fff;
    }
    #magazine_pro_cta_section .featured-image {
        padding: 250px 0;
    }
    #magazine_pro_cta_section .cta-wrapper {
        position: relative;
        padding: 20px;
    }
    #magazine_pro_cta_section .entry-container {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        margin: 0 auto;
        max-width: 750px;
        text-align: center;
        background-color: #ffffffa6;
        padding: 60px 70px;
    }


    @media screen and (min-width: 767px) {
        #magazine_pro_cta_section .entry-title {
            font-size: 26px;
        }
    }
    @media screen and (min-width: 1025px) {
        #magazine_pro_cta_section:before {
            content: "";
            background-color: #1E2E4F;
            width: 100%;
            height: 50%;
            position: absolute;
            left: 0;
            bottom: 0;
            right: 0;
            z-index: -1;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $cta );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_cta_style' );

