<?php 

function moral_magazine_pro_featured_post_style(){

    $featured_post = '#magazine_pro_featured_post_section .featured-post-item {
        position: relative;
    }
    #magazine_pro_featured_post_section .featured-image {
        position: relative;
        background-size: cover;
        background-position: 50%;
        padding: 150px 0;
    }
    #magazine_pro_featured_post_section .featured-image:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #000;
        opacity: 0.2;
    }
    #magazine_pro_featured_post_section .featured-image:after {
        position: absolute;
        content: "";
        top: 15px;
        right: 15px;
        bottom: 15px;
        left: 15px;
        border: 1px solid rgba(255,255,255,.95);
        box-shadow: 0 0 0 15px rgb(255 255 255 / 10%);
        will-change: opacity;
        transition: opacity .6s,transform .4s cubic-bezier(.25,.46,.45,.94);
        pointer-events: none;
    }
    #magazine_pro_featured_post_section .entry-title {
        position: absolute;
        top: 50%;
        left: 0;
        right: 0;
        text-align: center;
        margin: 0;
        font-size: 13px;
        font-weight: 400;
        letter-spacing: 0.05em;
        text-transform: uppercase;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
        max-width: 250px;
        margin: 0 auto;
    }
    #magazine_pro_featured_post_section .entry-title a {
        background-color: #fff;
        display: inline-block;
        padding: 9px 20px;
    }
    ';

    wp_add_inline_style( 'moral-magazine-pro-style', $featured_post );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_featured_post_style' );

