<?php 

function moral_magazine_pro_grid_post_style(){

    $grid_post = '#magazine_pro_grid_banner_section .featured-image {
        padding: 150px 0;
    }
    .grid-banner-wrapper {
        position: relative;
    }
    #magazine_pro_grid_banner_section .cat-links {
        position: absolute;
        top: 20px;
        left: 20px;
    }
    #magazine_pro_grid_banner_section .entry-container {
        position: absolute;
        bottom: 0px;
        padding: 15px 25px;
    }
    #magazine_pro_grid_banner_section article {
        width: 100%;
    }
    #magazine_pro_grid_banner_section .entry-title {
        margin-bottom: 10px;
    }
    #magazine_pro_grid_banner_section .entry-title a,
    #magazine_pro_grid_banner_section .posted-on a,
    #magazine_pro_grid_banner_section .comment a,
    #magazine_pro_grid_banner_section .byline a {
        color: #fff;
    }
    #magazine_pro_grid_banner_section .posted-on a:before,   
    #magazine_pro_grid_banner_section .comment a:before,   
    #magazine_pro_grid_banner_section .byline a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    #magazine_pro_grid_banner_section .entry-meta {
        display: none;
    }
    @media screen and (max-width: 767px) {
        #magazine_pro_grid_banner_section article:not(:last-child) {
            margin-bottom: 25px;
        }
    }

    @media screen and (min-width: 567px) {
        #magazine_pro_grid_banner_section article {
            width: 50%;
        }
        #magazine_pro_grid_banner_section article:nth-child(2) {
            width: 100%;
        }
        #magazine_pro_grid_banner_section article:nth-child(2) .entry-title {
            font-size: 24px;
        }
        #magazine_pro_grid_banner_section article:nth-child(2) .entry-meta {
            display: block;
        }
        #magazine_pro_grid_banner_section .col-3 {
            margin: 0 -15px;
        }
    }
    @media screen and (min-width: 992px) {
        #magazine_pro_grid_banner_section article {
            width: 25%;
        }
        #magazine_pro_grid_banner_section article:nth-child(2) {
            width: 50%;
            margin-bottom: 0;
        }
        #magazine_pro_grid_banner_section article:nth-child(3) {
            margin-bottom: 30px;
        }
        #magazine_pro_grid_banner_section article:nth-child(2) .featured-image {
            padding: 315px 0;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $grid_post );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_grid_post_style' );

