<?php 

function moral_magazine_pro_latest_news_style(){

    $latest_news = '#magazine_pro_latest_news_section article {
        padding: 0 15px;
    }
    #magazine_pro_latest_news_section .latest-news-slider {
        margin: 0 -15px;
    }
    #magazine_pro_latest_news_section .featured-image {
        padding: 220px 0;
    }
    #magazine_pro_latest_news_section .latest-news-wrapper {
        position: relative;
    }
    #magazine_pro_latest_news_section .entry-container {
        position: absolute;
        bottom: 0;
        padding: 25px 30px 10px;
        margin: 0 auto;
        background-color: #0000005c;
        text-align: center;
        max-width: 350px;
        left: 0;
        right: 0;
    }
    #magazine_pro_latest_news_section .entry-title a,
    #magazine_pro_latest_news_section .posted-on a {
        color: #fff;
    }
    #magazine_pro_latest_news_section .entry-title a:hover,
    #magazine_pro_latest_news_section .entry-title a:focus,
    #magazine_pro_latest_news_section .posted-on a:hover,
    #magazine_pro_latest_news_section .posted-on a:focus {
        opacity: 0.8;
    }
    #magazine_pro_latest_news_section .posted-on a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    #magazine_pro_latest_news_section .posted-on a:hover:before, 
    #magazine_pro_latest_news_section .posted-on a:focus:before {
        opacity: 0.8;
    }
    #magazine_pro_latest_news_section .cat-links {
        position: absolute;
        top: -15px;
        left: 0;
        right: 0;
        margin: 0 auto;
        text-align: center;
    }
    #magazine_pro_latest_news_section .slick-dots {
        bottom: -45px;
    }
    #magazine_pro_latest_news_section .slick-dots li:nth-child(3),
    #magazine_pro_latest_news_section .slick-dots li:nth-child(4) {
        display: none;
    }
    #magazine_pro_latest_news_section .slick-dots li.slick-active:nth-child(3),
    #magazine_pro_latest_news_section .slick-dots li.slick-active:nth-child(4) {
        display: inline-block;
    }
    #magazine_pro_latest_news_section .slick-dots li button:before {
        content: "";
        background-color: #000;
        width: 15px;
        height: 15px;
        border-radius: 50%;
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $latest_news );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_latest_news_style' );

