<?php 

function moral_magazine_pro_sport_style(){

    $sport = '#magazine_pro_sports_photography_section {
        background-color: #1E2E4F;
    }
    .second-design #magazine_pro_sports_photography_section .section-title:before,
    .second-design #magazine_pro_sports_photography_section .section-title:after {
        background-color: #fff;
    }
    .second-design #magazine_pro_sports_photography_section .section-title {
        color: #fff;
    }
    #magazine_pro_sports_photography_section .sports-photography-wrapper {
        position: relative;
    }
    #magazine_pro_sports_photography_section .entry-container {
        position: absolute;
        bottom: 0;
        padding: 10px 30px;
    }
    #magazine_pro_sports_photography_section .entry-title a {
        color: #fff;
    }
    #magazine_pro_sports_photography_section .entry-title a:hover,
    #magazine_pro_sports_photography_section .entry-title a:focus {
        opacity: 0.8;
    }
    #magazine_pro_sports_photography_section .cat-links {
        position: absolute;
        top: 20px;
        left: 20px;
    }
    #magazine_pro_sports_photography_section .comment {
        position: absolute;
        top: 25px;
        right: 20px;
    }
    #magazine_pro_sports_photography_section .comment a {
        color: #fff;
    }
    #magazine_pro_sports_photography_section .comment a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    @media screen and (max-width: 567px) {
        #magazine_pro_sports_photography_section article:not(:last-child) {
            margin-bottom: 25px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $sport );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_sport_style' );

