<?php 

function moral_magazine_pro_two_column_style(){

    $two_column = '#magazine_pro_two_column_section .entry-title {
        margin-bottom: 10px;
        font-size: 20px;
    }
    #magazine_pro_two_column_section article .two-column-wrapper .featured-image {
        margin-bottom: 15px;
    }
    #magazine_pro_two_column_section article .two-column-wrapper .featured-image img {
        height: 300px;
        object-fit: cover;
    }

    @media screen and (min-width: 992px) { 
        #magazine_pro_two_column_section article .two-column-wrapper {
            display: table;
            position: relative;
            align-items: center;
            width: 100%;
        }
        #magazine_pro_two_column_section article .two-column-wrapper .featured-image {
            width: 40%;
            position: absolute;
            display: table-cell;
            left: 0;
            bottom: 0;
            right: 0;
            top: 0;
            padding: 0;
            padding-bottom: 0;
            margin-bottom: 0;
        }
        #magazine_pro_two_column_section article .two-column-wrapper .entry-container {
            text-align: unset;
            width: 60%;
            display: table-cell;
            padding: 20px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $two_column );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_two_column_style' );

