<?php 

function moral_magazine_pro_extra_news_style(){

    $extra_news = '
    #magazine_pro_extra_news_section .featured-image img {
        width: 100%;
        height: 330px;
        object-fit: cover;
    }
    #magazine_pro_extra_news_section .extra-news-wrapper {
        position: relative;
    }
    #magazine_pro_extra_news_section .entry-container {
        text-align: center;
        padding: 15px 30px 0;
    }
    #magazine_pro_extra_news_section .entry-title a:hover,
    #magazine_pro_extra_news_section .entry-title a:focus {
        opacity: 0.8;
    }
    #magazine_pro_extra_news_section .entry-title {
        margin-bottom: 0;
    }
    #magazine_pro_extra_news_section .cat-links {
        position: absolute;
        bottom: 75px;
        left: 20px;
    }
    #magazine_pro_extra_news_section .comment a {
        color: #fff;
    }
    #magazine_pro_extra_news_section .comment a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    #magazine_pro_extra_news_section .comment {
        position: absolute;
        bottom: 85px;
        right: 20px;
    }
    #magazine_pro_extra_news_section article:nth-child(2n) .post-categories a {
        background-color: #EAB543;
    }
    #magazine_pro_extra_news_section article:nth-child(2n) .post-categories a:hover,
    #magazine_pro_extra_news_section article:nth-child(2n) .post-categories a:focus {
        color: #EAB543;
    }
    #magazine_pro_extra_news_section article:nth-child(3n) .post-categories a {
        background-color: #5856D5;
    }
    #magazine_pro_extra_news_section article:nth-child(3n) .post-categories a:hover,
    #magazine_pro_extra_news_section article:nth-child(3n) .post-categories a:focus {
        color: #5856D5;
    }
    #magazine_pro_extra_news_section article:nth-child(4n) .post-categories a {
        background-color: #F63B58;
    }
    #magazine_pro_extra_news_section article:nth-child(4n) .post-categories a:hover,
    #magazine_pro_extra_news_section article:nth-child(4n) .post-categories a:focus {
        color: #F63B58;
    }
    #magazine_pro_extra_news_section article:nth-child(5n) .post-categories a {
        background-color: #FF5001;
    }
    #magazine_pro_extra_news_section article:nth-child(5n) .post-categories a:hover,
    #magazine_pro_extra_news_section article:nth-child(5n) .post-categories a:focus {
        color: #FF5001;
    }
    #magazine_pro_extra_news_section article:nth-child(6n) .post-categories a {
        background-color: #5605f3;
    }
    #magazine_pro_extra_news_section article:nth-child(6n) .post-categories a:hover,
    #magazine_pro_extra_news_section article:nth-child(6n) .post-categories a:focus {
        color: #5605f3;
    }
    #magazine_pro_extra_news_section article .post-categories a:hover,
    #magazine_pro_extra_news_section article .post-categories a:focus {
        background-color: #fff;
    }
    @media screen and (max-width: 567px) {
        #magazine_pro_extra_news_section article:not(:last-child) {
            margin-bottom: 25px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $extra_news );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_extra_news_style' );

