<?php 

function moral_magazine_pro_post_slider_style(){

    $post_slider = '#magazine_pro_travel_column_section .featured-image {
        padding: 220px 0;
    }
    #magazine_pro_travel_column_section .travel-column-wrapper {
        position: relative;
    }
    #magazine_pro_travel_column_section .entry-container {
        position: absolute;
        bottom: 0;
        padding: 20px 30px; 
    }
    #magazine_pro_travel_column_section .entry-title a,
    #magazine_pro_travel_column_section .comment a,
    #magazine_pro_travel_column_section .posted-on a {
        color: #fff;
    }
    #magazine_pro_travel_column_section .entry-title a:hover,
    #magazine_pro_travel_column_section .entry-title a:focus,
    #magazine_pro_travel_column_section .posted-on a:hover,
    #magazine_pro_travel_column_section .posted-on a:focus {
        opacity: 0.8;
    }
    #magazine_pro_travel_column_section .posted-on a:before,    
    #magazine_pro_travel_column_section .comment a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    #magazine_pro_travel_column_section .posted-on a:hover:before, 
    #magazine_pro_travel_column_section .posted-on a:focus:before {
        opacity: 0.8;
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $post_slider );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_post_slider_style' );