<?php 

function moral_magazine_pro_three_column_style(){

    $three_column = '#magazine_pro_three_column_section article:not(:first-child) .three-column-wrapper {
            display: table;
            position: relative;
            align-items: center;
            width: 100%;
        }
        #magazine_pro_three_column_section article:not(:first-child) .three-column-wrapper .featured-image {
            width: 30%;
            position: absolute;
            display: table-cell;
            left: 0;
            bottom: 0;
            right: 0;
            top: 0;
            padding: 0;
            padding-bottom: 0;
            margin-bottom: 0;
        }
        #magazine_pro_three_column_section article:not(:first-child) .three-column-wrapper .entry-container {
            text-align: unset;
            width: 70%;
            display: table-cell;
            padding: 10px 15px;
        }
        #magazine_pro_three_column_section article:not(:first-child) .entry-content {
            display: none;
        }
        #magazine_pro_three_column_section article:not(:last-child) {
            margin-bottom: 25px;
        }
        #magazine_pro_three_column_section .entry-title {
            margin-bottom: 0;
        }
        #magazine_pro_three_column_section article {
            width: 100%;
            padding: 0;
        }
        #magazine_pro_three_column_section article:nth-child(1) .featured-image {
            position: relative;
            margin-bottom: 15px;
        }
        #magazine_pro_three_column_section .hentry {
            padding: 0 15px;
        }
        #magazine_pro_three_column_section .section-content.col-3 {
            margin: 0 -15px;
        }
        #magazine_pro_three_column_section .hentry:not(:last-child) {
            margin-bottom: 32px;
        }';

    wp_add_inline_style( 'moral-magazine-pro-style', $three_column );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_three_column_style' );