<?php 

function moral_magazine_pro_travel_advice_style(){

    $travel_advice = '#magazine_pro_travel_advice_section article {
        position: relative;
        padding: 350px 0;
        background-repeat: no-repeat;
        background-size: cover;;
        background-position: 50%;
    }
    #magazine_pro_travel_advice_section .entry-container {
        position: absolute;
        left: 0;
        right: 0;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
        max-width: 600px;
        margin: 0 auto;
        padding: 50px 0;
        text-align: center;
    }
    #magazine_pro_travel_advice_section .entry-title a,
    #magazine_pro_travel_advice_section .byline a,
    #magazine_pro_travel_advice_section .posted-on a {
        color: #fff;
    }
    #magazine_pro_travel_advice_section .posted-on a:before,    
    #magazine_pro_travel_advice_section .byline a:before {    
        -webkit-filter: brightness(0) invert(1);
        -moz-filter: brightness(0) invert(1);
        -ms-filter: brightness(0) invert(1);
        -o-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
    }
    #magazine_pro_travel_advice_section .entry-title {
        font-size: 28px;
    }
    .second-design #magazine_pro_travel_advice_section .post-categories li:nth-child(1) a {
        background-color: #4CD966;
    }
    .second-design #magazine_pro_travel_advice_section .post-categories li:nth-child(1) a:hover,
    .second-design #magazine_pro_travel_advice_section .post-categories li:nth-child(1) a:focus {
        color: #4CD966;
        background-color: #fff;
    }
    #magazine_pro_travel_advice_section .post-categories li:nth-child(2) a {
        background-color: #5856D5;
    }
    #magazine_pro_travel_advice_section .post-categories li:nth-child(2) a:hover,
    #magazine_pro_travel_advice_section .post-categories li:nth-child(2) a:focus {
        color: #5856D5;
        background-color: #fff;
    }
    #magazine_pro_travel_advice_section .border-top {
        position: relative;
        top: -50px;
    }
    #magazine_pro_travel_advice_section .border-bottom {
        position: relative;
        bottom: -10px;
    }
    #magazine_pro_travel_advice_section .border-top:before,
    #magazine_pro_travel_advice_section .border-top:after,
    #magazine_pro_travel_advice_section .border-bottom:before,
    #magazine_pro_travel_advice_section .border-bottom:after {
        content: "";
        background-color: #fff;
        width: 1px;
        height: 40px;
        position: absolute;
    }
    #magazine_pro_travel_advice_section .border-top:before,
    #magazine_pro_travel_advice_section .border-bottom:before {
        left: 10%;
    }
    #magazine_pro_travel_advice_section .border-top:after,
    #magazine_pro_travel_advice_section .border-bottom:after {
        right: 10%;
    }
    #magazine_pro_travel_advice_section .entry-container:before,
    #magazine_pro_travel_advice_section .entry-container:after {
        content: "";
        background-color: #fff;
        width: 80%;
        height: 1px;
        position: absolute;
        left: 0;
        right: 0;
        margin: 0 auto;
    }
    #magazine_pro_travel_advice_section .entry-container:before {
        top: 0;
    }
    #magazine_pro_travel_advice_section .entry-container:after {
        bottom: 0;
    }
    #magazine_pro_travel_advice_section .slick-dots {
        bottom: 20px;
    }
    #magazine_pro_travel_advice_section .slick-dots li button:before {
        content: "";
        background-color: #000;
        width: 15px;
        height: 15px;
        border-radius: 50%;
    }
    #magazine_pro_travel_advice_section .slick-prev, 
    #magazine_pro_travel_advice_section .slick-next {
        width: 40px;
        height: 40px;
    }
    #magazine_pro_travel_advice_section .slick-prev {
        left: 25px;
    }
    #magazine_pro_travel_advice_section .slick-next {
        right: 25px;
    }
    #magazine_pro_travel_advice_section .post-categories a {
        padding: 4px 8px;
        color: #fff;
    }

    @media screen and (min-width: 1025px) {
        #magazine_pro_travel_advice_section .entry-title {
            font-size: 32px;
        }
    }
    @media screen and (min-width: 1900px) {
        #magazine_pro_travel_advice_section .entry-title {
            font-size: 42px;
        }
        #magazine_pro_travel_advice_section .entry-container {
            max-width: 700px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $travel_advice );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_travel_advice_style' );

