<?php 

function moral_magazine_pro_trip_news_style(){

    $trip_news = '#trip-news {
        text-align: center;
    }
    #trip-news .featured-image {
        margin-bottom: 15px;
    }
    #trip-news .entry-header {
        margin-top: 8px;
    }
    #trip-news .entry-container {
        padding: 0 20px;
    }

    @media screen and (max-width: 767px) {
        #trip-news article:not(:last-child) {
            margin-bottom: 25px;
        }
    }

    @media screen and (min-width: 567px) {
        #trip-news article {
            width: 50%;
        }
        #trip-news article:nth-child(1) {
            width: 100%;
        }
        #trip-news article:nth-child(1) .entry-title {
            font-size: 24px;
        }
    }';

    wp_add_inline_style( 'moral-magazine-pro-style', $trip_news );
}

add_action( 'wp_enqueue_scripts', 'moral_magazine_pro_trip_news_style' );

